Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class ActiveOrHistoricCurrencyAndAmount

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.ActiveOrHistoricCurrencyAndAmount

public class ActiveOrHistoricCurrencyAndAmount extends Object

Java class for ActiveOrHistoricCurrencyAndAmount complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActiveOrHistoricCurrencyAndAmount">
       <simpleContent>
         <extension base="<urn:iso:std:iso:20022:tech:xsd:camt.052.001.07>ActiveOrHistoricCurrencyAndAmount_SimpleType">
           <attribute name="Ccy" use="required" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyCode" />
         </extension>
       </simpleContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ccy`
`protected BigDecimal`
`value`

## Constructor Summary

Constructors
Constructor
Description
`ActiveOrHistoricCurrencyAndAmount()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCcy()`
Gets the value of the ccy property.
`BigDecimal`
`getValue()`
Gets the value of the value property.
`void`
`setCcy(String value)`
Sets the value of the ccy property.
`void`
`setValue(BigDecimal value)`
Sets the value of the value property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

protected BigDecimal value

### ccy

protected String ccy

## Constructor Details

### ActiveOrHistoricCurrencyAndAmount

public ActiveOrHistoricCurrencyAndAmount()

## Method Details

### getValue

public BigDecimal getValue()
Gets the value of the value property.

Returns:
  possible object is `BigDecimal`

### setValue

public void setValue(BigDecimal value)
Sets the value of the value property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getCcy

public String getCcy()
Gets the value of the ccy property.

Returns:
  possible object is `String`

### setCcy

public void setCcy(String value)
Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`